# Cinder

# cinder::SurfaceChannelOrder Class Reference

`#include <Surface.h>`

List of all members.

## Public Types
enum | { CHAN_RED, CHAN_GREEN, CHAN_BLUE, CHAN_ALPHA, INVALID = 255 }
enum | { RGBA, BGRA, ARGB, ABGR, RGBX, BGRX, XRGB, XBGR, RGB, BGR, UNSPECIFIED }
## Public Member Functions
| SurfaceChannelOrder ()
| SurfaceChannelOrder (int aCode)
| SurfaceChannelOrder (const SurfaceChannelOrder &aOrder)
uint8_t | getRedOffset () const
uint8_t | getGreenOffset () const
uint8_t | getBlueOffset () const
uint8_t | getAlphaOffset () const
bool | hasAlpha () const
uint8_t | getPixelInc () const
int | getCode () const
bool | operator== (const SurfaceChannelOrder &sco) const
int | getImageIoChannelOrder () const
| Translates a SurfaceChannelOrder into an ImageIo::ChannelOrder.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  CHAN_RED |
  CHAN_GREEN |
  CHAN_BLUE |
  CHAN_ALPHA |
  INVALID |

anonymous enum

Enumerator:

  RGBA |
  BGRA |
  ARGB |
  ABGR |
  RGBX |
  BGRX |
  XRGB |
  XBGR |
  RGB |
  BGR |
  UNSPECIFIED |

## Constructor & Destructor Documentation

cinder::SurfaceChannelOrder::SurfaceChannelOrder | ( |  | ) |

cinder::SurfaceChannelOrder::SurfaceChannelOrder | ( | int | aCode | ) |

cinder::SurfaceChannelOrder::SurfaceChannelOrder | ( | const SurfaceChannelOrder & | aOrder | ) |

## Member Function Documentation

uint8_t cinder::SurfaceChannelOrder::getRedOffset | ( |  | ) | const

uint8_t cinder::SurfaceChannelOrder::getGreenOffset | ( |  | ) | const

uint8_t cinder::SurfaceChannelOrder::getBlueOffset | ( |  | ) | const

uint8_t cinder::SurfaceChannelOrder::getAlphaOffset | ( |  | ) | const

bool cinder::SurfaceChannelOrder::hasAlpha | ( |  | ) | const

uint8_t cinder::SurfaceChannelOrder::getPixelInc | ( |  | ) | const

int cinder::SurfaceChannelOrder::getCode | ( |  | ) | const

bool cinder::SurfaceChannelOrder::operator== | ( | const SurfaceChannelOrder & | sco | ) | const

int cinder::SurfaceChannelOrder::getImageIoChannelOrder | ( |  | ) | const

Translates a SurfaceChannelOrder into an ImageIo::ChannelOrder.

The documentation for this class was generated from the following files:

- include/cinder/Surface.h
- src/cinder/Surface.cpp